View Issue Details

IDProjectCategoryView StatusLast Update
00305442.x IDE BugsDevice ManagerPublic2019-03-04 10:05
ReporterDanAssigned ToAlexander Borup 
PriorityHighSeverityA - Crash/HangReproducibilityN/A
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.2 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030544: Device Manager: Exception in ,Void (YoYoStudio.GUI.Gadgets.TreeViewNode) loading in list of Macs on iOS devices screen
DescriptionOpening my iOS device list, and then viewing some other platform's devices, then returning to the iOS device list made GMS2 go unstable. Can see that the dropdown which should list my Macs is empty.

Log shows the following:
[12:22:58:905(70a4)] iOSDeviceEditor.UpdateList()
[12:23:08:588(70a4)] Exception in ,Void (YoYoStudio.GUI.Gadgets.TreeViewNode) : System.InvalidOperationException: Collection was modified; enumeration operation may not execute.
   at System.ThrowHelper.ThrowInvalidOperationException(ExceptionResource resource)
   at System.Collections.Generic.List`1.Enumerator.MoveNextRare()
   at YoYoStudio.Plugins.CorePlugins.Build.iOSDeviceEditor.OpenEditor(ScrollPanel parent)
   at YoYoStudio.User.DeviceEditor.(String )
   at YoYoStudio.User.DeviceEditor.(TreeViewNode )
   at WeakDelegate(Object , Object[] )
   at YoYoStudio.Core.Utils.WeakDelegate`1.Invoke(Object[] _args)
[12:23:08:588(70a4)] Fatal Error! 'IDE.OnWeakDelegateException - Collection was modified; enumeration operation may not execute.'
[12:23:08:589(70a4)] at System.ThrowHelper.ThrowInvalidOperationException(ExceptionResource resource)
   at System.Collections.Generic.List`1.Enumerator.MoveNextRare()
   at YoYoStudio.Plugins.CorePlugins.Build.iOSDeviceEditor.OpenEditor(ScrollPanel parent)
   at YoYoStudio.User.DeviceEditor.(String )
   at YoYoStudio.User.DeviceEditor.(TreeViewNode )
   at WeakDelegate(Object , Object[] )
   at YoYoStudio.Core.Utils.WeakDelegate`1.Invoke(Object[] _args)
[12:23:08:589(70a4)] ####################################
[12:23:08:590(70a4)] Break in FatalErrorWarning (IDE:2698)
[12:23:08:590(70a4)] ####################################
Steps To Reproduce0. Ensure you have iOS devices detected and saved.
1. Start GMS2 and open/create any project.
2. Open Target Manager and set yourself to iOS.
3. Click the pencil icon in Target Manager to open Device Manager.
4. Click any other platform in Device Manager.
5. Click back to iOS.
6. Observe Unstable dialog.
TagsIDE
2.x IDE Found In2.2.2.393
2.x Runtime Found In2.2.2.308
2.x IDE Verified In2.2.2.397
2.x Runtime Verified In2.2.2.311

Activities

Dan

2019-02-21 12:32

Adminstrator  

ui.log (153,283 bytes)

Dan

2019-02-22 12:55

Adminstrator  

devices.json (3,087 bytes)

Dan

2019-02-25 09:27

Adminstrator   ~0063304

IDE 394+

Scott Dunbar

2019-03-04 10:05

Adminstrator   ~0063415

Verified fixed. Closing

IDE 2.2.2.397
Runtime 2.2.2.311